package mx.com.amx.mx.dda.ws.dto;

import java.io.Serializable;

/**
 * Es la representacion de la tabla DDA_T_CONTRATO_ESTATUS. 
 * Se usa para el manejo de las operaciones BD. 
 */
public class ContratoEstatusDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String ID_CONTRATO_ESTATUS;
	private String ID_CONTRATO;
	private String ID_ESTATUS;
	private String EXPEDIENTE;
	private String FECHA_ESTATUS;
	
	public String getID_CONTRATO_ESTATUS() {
		return ID_CONTRATO_ESTATUS;
	}
	public void setID_CONTRATO_ESTATUS(String iD_CONTRATO_ESTATUS) {
		ID_CONTRATO_ESTATUS = iD_CONTRATO_ESTATUS;
	}
	public String getID_CONTRATO() {
		return ID_CONTRATO;
	}
	public void setID_CONTRATO(String iD_CONTRATO) {
		ID_CONTRATO = iD_CONTRATO;
	}
	public String getID_ESTATUS() {
		return ID_ESTATUS;
	}
	public void setID_ESTATUS(String iD_ESTATUS) {
		ID_ESTATUS = iD_ESTATUS;
	}
	public String getEXPEDIENTE() {
		return EXPEDIENTE;
	}
	public void setEXPEDIENTE(String eXPEDIENTE) {
		EXPEDIENTE = eXPEDIENTE;
	}
	public String getFECHA_ESTATUS() {
		return FECHA_ESTATUS;
	}
	public void setFECHA_ESTATUS(String fECHA_ESTATUS) {
		FECHA_ESTATUS = fECHA_ESTATUS;
	}
	
	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" ID_CONTRATO_ESTATUS: _" + this.getID_CONTRATO_ESTATUS() + "_" + NEW_LINE);
		result.append(" ID_CONTRATO: _" + this.getID_CONTRATO() + "_" + NEW_LINE);
		result.append(" ID_ESTATUS: _" + this.getID_ESTATUS() + "_" + NEW_LINE);
		result.append(" EXPEDIENTE: _" + this.getEXPEDIENTE() + "_" + NEW_LINE);
		result.append(" FECHA_ESTATUS: _" + this.getFECHA_ESTATUS() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}


}
